MacOS 10.11 cocoaPods 安装报错解决方案

一、首先更新一下ruby的源 

gem sources --remove https://rubygems.org/

gem sources -a https://ruby.taobao.org/

gem sources -l

注意:这里改成 https://ruby.taobao.org/


二、执行安装

sudo gem install cocoapods

报错:ERROR: While executing gem ... (Errno::EPERM) Operation not permitted - /usr/bin/...

解决:

1、sudo nvram boot-args="rootless=0"

2、sudo reboot

电脑会重启。

3、sudo nvram boot-args="rootless=0"sudo reboot

报错

4、sudo gem install -n /usr/local/bin cocoapods

安装成功。

已标记关键词 清除标记
相关推荐
©️2020 CSDN 皮肤主题: 大白 设计师:CSDN官方博客 返回首页